Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706670 - sys-fs/multipath-tools-0.8.3-r1 : fails to build with -fno-common or gcc-10
Summary: sys-fs/multipath-tools-0.8.3-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:28 UTC by Toralf Förster
Modified: 2020-05-03 19:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.48 KB, text/plain)
2020-01-27 17:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,49.47 KB, text/plain)
2020-01-27 17:28 UTC, Toralf Förster
Details
environment (environment,81.13 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.85 KB, application/x-bzip)
2020-01-27 17:29 UTC, Toralf Förster
Details
sys-fs:multipath-tools-0.8.3-r1:20200127-041649.log (sys-fs:multipath-tools-0.8.3-r1:20200127-041649.log,22.48 KB, text/plain)
2020-01-27 17:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.29 KB, application/x-bzip)
2020-01-27 17:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:28:52 UTC
building foreign.o because of foreign.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DBIN_DIR=\"/sbin\" -DLIB_STRING=\"lib64\" -DRUN_DIR=\"run\" -MMD -MP -fPIC -I../libmpathcmd -I../libmpathpersist -I../libmultipath/nvme -DLIBDM_API_FLUSH -D_GNU_SOURCE -DLIBDM_API_COOKIE -DLIBUDEV_API_RECVBUF -DLIBDM_API_DEFERRED -c -o foreign.o foreign.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DBIN_DIR=\"/sbin\" -DLIB_STRING=\"lib64\" -DRUN_DIR=\"run\" -MMD -MP -fPIC -I../libmpathcmd -I../libmpathpersist -I../libmultipath/nvme -DLIBDM_API_FLUSH -D_GNU_SOURCE -DLIBDM_API_COOKIE -DLIBUDEV_API_RECVBUF -DLIBDM_API_DEFERRED -Wno-unused-function -c -o nvme-lib.o nvme-lib.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -shared -Wl,-soname=libmultipath.so.0 -o libmultipath.so.0 memory.o parser.o vector.o devmapper.o callout.o hwtable.o blacklist.o util.o dmparser.o config.o structs.o discovery.o propsel.o dict.o pgpolicies.o debug.o defaults.o uevent.o time-util.o switchgroup.o uxsock.o print.o alias.o log_pthread.o log.o configure.o structs_vec.o sysfs.o prio.o checkers.o lock.o file.o wwids.o prioritizers/alua_rtpg.o prkey.o io_err_stat.o dm-generic.o generic.o foreign.o nvme-lib.o -lpthread -ldl -ldevmapper -ludev -L../libmpathcmd -lmpathcmd -lurcu -laio
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: callout.o:(.bss+0x0): multiple definition of `___error1___'; devmapper.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: hwtable.o:(.bss+0x0): multiple definition of `___error1___'; devmapper.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 03:26:12 +0000

emerge -qpvO sys-fs/multipath-tools
[ebuild  N    ] sys-fs/multipath-tools-0.8.3-r1  USE="-rbd -systemd"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:28:55 UTC
Created attachment 605250 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:28:58 UTC
Created attachment 605252 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:29:00 UTC
Created attachment 605254 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:29:04 UTC
Created attachment 605256 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:29:07 UTC
Created attachment 605258 [details]
sys-fs:multipath-tools-0.8.3-r1:20200127-041649.log
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:29:10 UTC
Created attachment 605260 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-05-03 19:18:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7b201a70998ff0db1f1cd4187004e684d6aa10a

commit c7b201a70998ff0db1f1cd4187004e684d6aa10a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-05-03 19:18:28 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-03 19:18:38 +0000

    sys-fs/multipath-tools: fix building against GCC 10
    
    Closes: https://bugs.gentoo.org/706670
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../multipath-tools-0.8.3-fix-gcc-10-compatibility.patch      | 11 +++++++++++
 sys-fs/multipath-tools/multipath-tools-0.8.3-r2.ebuild        |  1 +
 2 files changed, 12 insertions(+)